using System;
using System.Collections.Generic;
using System.Text;
using WindowsLive.Writer.Api;

namespace ImFeelingLucky
{
    public class PluginSettings
    {
        IProperties m_properties;
        private const string Auto = "AUTOINSERT";
        private const string Open = "OPENNEWWINDOW";
        private const string Format = "FORMATTING";

        public PluginSettings(IProperties properties)
        {
            m_properties = properties;
        }

        public bool AutoInsert
        {
            get { return m_properties.GetBoolean(Auto, true); }
            set { m_properties.SetBoolean(Auto, value); }
        }

        public bool OpenInNewWindow
        {
            get { return m_properties.GetBoolean(Open, false); }
            set { m_properties.SetBoolean(Open, value); }
        }

        public bool LeaveFormatting
        {
            get { return m_properties.GetBoolean(Format, false); }
            set { m_properties.SetBoolean(Format, value); }
        }
    }
}
